Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 639242

Summary: games-kids/cubetest depends on deprecated Qt3Support/Qt4
Product: Gentoo Linux Reporter: Andreas Sturmlechner <asturm>
Component: Current packagesAssignee: Gentoo Games <games>
Status: RESOLVED FIXED    
Severity: normal Keywords: PMASKED
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 631788    

Description Andreas Sturmlechner gentoo-dev 2017-11-30 00:08:42 UTC
0.9.4 (latest) release is from 2005, need I say more? Please ack last-rites, porting away from qt3support is much more hassle than going from qt4 to qt5, which might be the reason why it was never done upstream.
Comment 1 Rafał Mużyło 2017-12-19 18:31:22 UTC
...actually, I'd say it more likely was just lack of interest.

Porting is near trivial, as it's simply a matter of removing those Q3Picture blocks. Initial porting was against Qt 4.0, but a few versions later QtSvg and its image loader seem to suffice to handle that particular case, so no additional code should be necessary. Other than that, it's just a matter of creating a rcc file for block.xpm (and adding generated file (with rule) to the sources) and a sed of 's:WFlags:WindowFlags:'.

But kind of agree, not really worth it.
Comment 2 Larry the Git Cow gentoo-dev 2018-01-02 12:45:53 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8c3af46979e794419b2ee425434e0a4a736e7852

commit 8c3af46979e794419b2ee425434e0a4a736e7852
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2017-12-31 15:34:20 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-01-02 12:43:39 +0000

    profiles: Remove last-rited qt4/qt3support-rdeps
    
    Closes: https://bugs.gentoo.org/247588
    Closes: https://bugs.gentoo.org/634390
    Closes: https://bugs.gentoo.org/637098
    Closes: https://bugs.gentoo.org/638688
    Closes: https://bugs.gentoo.org/639242
    Closes: https://bugs.gentoo.org/639254

 app-office/qchartdiary/Manifest                    |   1 -
 app-office/qchartdiary/metadata.xml                |  11 -
 .../qchartdiary/qchartdiary-0.6.4.1-r2.ebuild      |  36 ---
 games-board/capicity/Manifest                      |   2 -
 games-board/capicity/capicity-1.0-r1.ebuild        |  64 -----
 games-board/capicity/metadata.xml                  |  11 -
 games-board/holdingnuts/Manifest                   |   1 -
 .../files/holdingnuts-0.0.5-wheel.patch            |  17 --
 .../holdingnuts/holdingnuts-0.0.5-r2.ebuild        |  54 ----
 games-board/holdingnuts/metadata.xml               |  11 -
 games-board/kcheckers/Manifest                     |   1 -
 games-board/kcheckers/kcheckers-0.8.1-r1.ebuild    |  41 ---
 games-board/kcheckers/metadata.xml                 |  11 -
 games-board/qcheckers/Manifest                     |   1 -
 games-board/qcheckers/metadata.xml                 |  11 -
 games-board/qcheckers/qcheckers-20091230-r1.ebuild |  32 ---
 games-board/qgo/Manifest                           |   1 -
 .../qgo/files/qgo-1.5.4_p20100322-buffer.patch     |  11 -
 .../qgo/files/qgo-1.5.4_p20100322-gcc45.patch      |  77 -----
 .../qgo/files/qgo-1.5.4_p20100322-gcc6.patch       |  12 -
 .../qgo/files/qgo-1.5.4_p20100322-qt47.patch       |  74 -----
 games-board/qgo/metadata.xml                       |  11 -
 games-board/qgo/qgo-1.5.4_p20100322-r1.ebuild      |  48 ----
 games-emulation/dboxfe/Manifest                    |   1 -
 games-emulation/dboxfe/dboxfe-0.1.3-r1.ebuild      |  29 --
 .../dboxfe/files/dboxfe-0.1.3-ldflags.patch        |  20 --
 games-emulation/dboxfe/metadata.xml                |  15 -
 games-emulation/virtualjaguar/Manifest             |   1 -
 games-emulation/virtualjaguar/files/virtualjaguar  |  35 ---
 .../files/virtualjaguar-2.1.2-gcc6.patch           | 316 ---------------------
 games-emulation/virtualjaguar/metadata.xml         |  12 -
 .../virtualjaguar/virtualjaguar-2.1.2-r2.ebuild    |  70 -----
 games-kids/cubetest/Manifest                       |   1 -
 games-kids/cubetest/cubetest-0.9.4-r1.ebuild       |  32 ---
 .../cubetest/files/cubetest-0.9.4-build.patch      | 101 -------
 games-kids/cubetest/metadata.xml                   |   8 -
 games-misc/ggencoder/Manifest                      |   1 -
 games-misc/ggencoder/ggencoder-0.91a.ebuild        |  28 --
 games-misc/ggencoder/metadata.xml                  |   8 -
 games-misc/qlife/Manifest                          |   1 -
 games-misc/qlife/metadata.xml                      |   8 -
 games-misc/qlife/qlife-1.1-r1.ebuild               |  30 --
 games-puzzle/bubble-chains/Manifest                |   1 -
 .../bubble-chains/bubble-chains-0.1.1.ebuild       |  48 ----
 games-puzzle/bubble-chains/metadata.xml            |   8 -
 games-puzzle/jag/Manifest                          |   2 -
 games-puzzle/jag/jag-0.3.2.ebuild                  |  66 -----
 games-puzzle/jag/metadata.xml                      |  11 -
 media-gfx/kpovmodeler/Manifest                     |   1 -
 .../files/kpovmodeler-1.1.3-desktop.patch          |  17 --
 .../files/kpovmodeler-1.1.3-freetype-include.patch |  15 -
 .../files/kpovmodeler-1.1.3-underlinking.patch     |  12 -
 media-gfx/kpovmodeler/kpovmodeler-1.1.3-r1.ebuild  |  38 ---
 media-gfx/kpovmodeler/metadata.xml                 |  12 -
 profiles/package.mask                              |  35 +--
 x11-misc/qtnotifydaemon/Manifest                   |   1 -
 .../files/qtnotifydaemon-1.0.14-build.patch        |  32 ---
 x11-misc/qtnotifydaemon/metadata.xml               |   7 -
 .../qtnotifydaemon/qtnotifydaemon-1.0.14.ebuild    |  35 ---
 x11-plugins/qled/Manifest                          |   1 -
 x11-plugins/qled/metadata.xml                      |   8 -
 x11-plugins/qled/qled-0.6.2.ebuild                 |  23 --
 62 files changed, 1 insertion(+), 1628 deletions(-)